# This file was generated by the `rspec --init` command. Conventionally, all
# specs live under a `spec` directory, which RSpec adds to the `$LOAD_PATH`.
# Require this file using `require "spec_helper"` to ensure that it is only
# loaded once.
#
# See http://rubydoc.info/gems/rspec-core/RSpec/Core/Configuration
require 'acts_as_daterange'
require 'acts_as_daterange/daterange'
RSpec.configure do |config|
  config.treat_symbols_as_metadata_keys_with_true_values = true
  config.run_all_when_everything_filtered = true
  config.filter_run :focus

  # Run specs in random order to surface order dependencies. If you find an
  # order dependency and want to debug it, you can fix the order by providing
  # the seed, which is printed after each run.
  #     --seed 1234
  config.order = 'random'
end

def setup
   ActiveRecord::Base.establish_connection(
    :adapter => 'sqlite3',
    :database => ':memory:'
  )

  ActiveRecord::Schema.define do
    create_table :test_default_dateranges, force: true do |t|
      t.column :title, :string
      t.column :start_date, :datetime
      t.column :end_date, :datetime
    end

    create_table :test_custom_dateranges, force: true do |t|
      t.column :title, :string
      t.column :promotion_start, :datetime
      t.column :promotion_expire, :datetime
    end
  end
end

class TestDefaultDaterange < ActiveRecord::Base
  acts_as_expirable
end

class TestCustomDaterange < ActiveRecord::Base
  acts_as_expirable :promotion_start, :promotion_expire
end
